#ifndef SERVER_H
#define SERVER_H

#include <sys/types.h>
#include <sys/socket.h>
#include "netdumpclient.h"

#define NETDUMP_PORT 6666

#define NETDUMP_DIR_PREFIX "/var/crash"

extern int master_socket;

void remove_client  (NetdumpClient *client);
int  execute_script (const char *script,
		     guint32     ip,
		     const char *dir);

gboolean verify_magic (NetdumpClient *client);
gboolean perform_space_check (void);
int config_load_segments(NetdumpClient *client);
int config_hole_size(void);
int config_debug_level(void);
char *config_compress(void);
int config_skip_zero(void);

#endif /* SERVER_H */
